Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Juri Linkov <[email-masked]>
Date: Fri, 07 Oct 2022 10:58:55 +0300

>> If you have a better name, there is no better time to change it than now.
>
> `vc-prepare-patch-attach'? `vc-prepare-patch-attach-patches'? Itʼs all
> a bit of a mouthful to type, and it doesnʼt feel like much of an
> improvement over what you have.

We could base the name of the existing commands.  There is the command
'submit-emacs-patch', so the corresponding VC command could be
'vc-submit-patch'.  Also like the existing command 'git-send-email'
the name could be 'vc-send-patch'.

Also please note that the most convenient way to select revisions
to submit is to show the log buffer, and use 'm' to mark revisions
(log-view-toggle-mark-entry).  Then 'log-view-get-marked' returns
all marked revisions.

I suggest to push the current version of the patch, then such marking
could be added later.